package top.ninwoo.cloudcenter.service;

import top.ninwoo.cloudcenter.entity.SeparatedClusterConfig;
import top.ninwoo.common.entity.ClusterConfig;
import top.ninwoo.common.entity.NetworkTopology;

import java.util.List;

/**
 * 云端的服务接口
 */
public interface CloudService {
    String initCluster(ClusterConfig clusterConfig);

    List<SeparatedClusterConfig> sendClusterConfigToEdgeNode(List<SeparatedClusterConfig> clusterConfigs);

    boolean deleteClusterFromEdgeNode(long clusterId);
}
